## API Report File for "@fluentui/react-button"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { ComponentProps } from '@fluentui/react-utilities';
import { ObjectShorthandProps } from '@fluentui/react-utilities';
import * as React_2 from 'react';
import { ShorthandProps } from '@fluentui/react-utilities';

// @public
export const Button: React_2.FunctionComponent<ButtonProps & React_2.RefAttributes<HTMLElement>>;

// @public (undocumented)
export type ButtonProps = ComponentProps & React_2.ButtonHTMLAttributes<HTMLElement> & {
    icon?: ShorthandProps<React_2.HTMLAttributes<HTMLSpanElement>>;
    disabled?: boolean;
    iconOnly?: boolean;
    iconPosition?: 'before' | 'after';
    primary?: boolean;
    size?: 'small' | 'medium' | 'large';
    subtle?: boolean;
    transparent?: boolean;
};

// @public
export const buttonShorthandProps: readonly ["icon", "children"];

// @public (undocumented)
export interface ButtonState extends ButtonProps {
    // (undocumented)
    children?: ObjectShorthandProps<React_2.HTMLAttributes<HTMLSpanElement>>;
    // (undocumented)
    icon?: ObjectShorthandProps<React_2.HTMLAttributes<HTMLSpanElement>>;
    // (undocumented)
    ref: React_2.Ref<HTMLElement>;
}

// @public (undocumented)
export type ButtonStyleSelectors = {
    disabled?: boolean;
    iconOnly?: boolean;
    primary?: boolean;
    size?: string;
    subtle?: boolean;
    transparent?: boolean;
};

// @public (undocumented)
export type ButtonTokens = {
    height: string;
    maxWidth: string;
    minWidth: string;
    paddingX: string;
    paddingY: string;
    fontSize: string;
    fontWeight: number;
    lineHeight: string;
    iconFontSize: string;
    iconHeight: string;
    iconSpacing: string;
    iconWidth: string;
    background: string;
    color: string;
    borderColor: string;
    borderRadius: string;
    borderWidth: string;
    shadow: string;
    hovered: Partial<{
        background: string;
        borderColor: string;
        color: string;
        shadow: string;
    }>;
    pressed: Partial<{
        background: string;
        borderColor: string;
        color: string;
        shadow: string;
    }>;
};

// @public (undocumented)
export type ButtonVariants = 'base' | 'disabled' | 'iconOnly' | 'primary' | 'subtle' | 'transparent' | 'small' | 'large' | 'disabledPrimary' | 'disabledSubtle' | 'disabledTransparent' | 'iconOnlySmall' | 'iconOnlyLarge';

// @public (undocumented)
export type ButtonVariantTokens = {
    [variant in ButtonVariants]: Partial<ButtonTokens>;
};

// @public (undocumented)
export interface CheckedState {
    // (undocumented)
    'aria-checked'?: React_2.AriaAttributes['aria-pressed'];
    // (undocumented)
    'aria-pressed'?: React_2.AriaAttributes['aria-pressed'];
    // (undocumented)
    checked?: boolean;
    // (undocumented)
    defaultChecked?: boolean;
    // (undocumented)
    onClick?: React_2.DOMAttributes<HTMLElement>['onClick'];
    // (undocumented)
    role?: string;
}

// @public
export const CompoundButton: React_2.ForwardRefExoticComponent<CompoundButtonProps & React_2.RefAttributes<HTMLElement>>;

// @public (undocumented)
export interface CompoundButtonProps extends ButtonProps {
    contentContainer?: ShorthandProps<React_2.HTMLAttributes<HTMLSpanElement>>;
    secondaryContent?: ShorthandProps<React_2.HTMLAttributes<HTMLSpanElement>>;
}

// @public
export const compoundButtonShorthandProps: readonly ["icon", "children", "contentContainer", "secondaryContent"];

// @public (undocumented)
export interface CompoundButtonState extends Omit<CompoundButtonProps, 'children' | 'icon'>, ButtonState {
    // (undocumented)
    contentContainer?: ObjectShorthandProps<React_2.HTMLAttributes<HTMLSpanElement>>;
    // (undocumented)
    secondaryContent?: ObjectShorthandProps<React_2.HTMLAttributes<HTMLSpanElement>>;
}

// @public (undocumented)
export type CompoundButtonStyleSelectors = ButtonStyleSelectors;

// Warning: (ae-forgotten-export) The symbol "CompoundButtonBaseTokens" needs to be exported by the entry point index.d.ts
//
// @public (undocumented)
export type CompoundButtonTokens = ButtonTokens & CompoundButtonBaseTokens & {
    hovered: Partial<CompoundButtonBaseTokens>;
    pressed: Partial<CompoundButtonBaseTokens>;
};

// @public (undocumented)
export type CompoundButtonVariants = ButtonVariants;

// @public (undocumented)
export type CompoundButtonVariantTokens = Partial<{
    [variant in CompoundButtonVariants]: Partial<CompoundButtonTokens>;
}>;

// @public
const renderButton: (state: ButtonState) => JSX.Element;

export { renderButton }

export { renderButton as renderToggleButton }

// @public
export const renderCompoundButton: (state: CompoundButtonState) => JSX.Element;

// @public
export const ToggleButton: React_2.ForwardRefExoticComponent<ToggleButtonProps & React_2.RefAttributes<HTMLElement>>;

// @public (undocumented)
export interface ToggleButtonProps extends ButtonProps {
    checked?: boolean;
    defaultChecked?: boolean;
}

// @public (undocumented)
export interface ToggleButtonState extends Omit<ToggleButtonProps, 'children' | 'icon'>, ButtonState {
}

// @public (undocumented)
export type ToggleButtonStyleSelectors = ButtonStyleSelectors & {
    checked?: boolean;
};

// @public (undocumented)
export type ToggleButtonTokens = ButtonTokens;

// @public (undocumented)
export type ToggleButtonVariants = ButtonVariants | 'checked' | 'checkedPrimary' | 'checkedSubtle' | 'checkedTransparent';

// @public (undocumented)
export type ToggleButtonVariantTokens = Partial<{
    [variant in ToggleButtonVariants]: Partial<ToggleButtonTokens>;
}>;

// @public
export const useButton: (props: ButtonProps, ref: React_2.Ref<HTMLElement>, defaultProps?: ButtonProps | undefined) => ButtonState;

// @public
export const useButtonState: (state: ButtonState) => ButtonState;

// @public (undocumented)
export const useButtonStyles: (state: ButtonState, selectors: ButtonStyleSelectors) => void;

// @public
export const useChecked: <TState extends CheckedState>(state: TState) => void;

// @public
export const useCompoundButton: (props: CompoundButtonProps, ref: React_2.Ref<HTMLElement>, defaultProps?: CompoundButtonProps | undefined) => CompoundButtonState;

// @public (undocumented)
export const useCompoundButtonStyles: (state: CompoundButtonState, selectors: CompoundButtonStyleSelectors) => void;

// @public (undocumented)
export const useToggleButton: (props: ToggleButtonProps, ref: React_2.Ref<HTMLElement>, defaultProps?: ToggleButtonProps | undefined) => ToggleButtonState;

// @public (undocumented)
export const useToggleButtonStyles: (state: ToggleButtonState, selectors: ToggleButtonStyleSelectors) => void;


// (No @packageDocumentation comment for this package)

```
