## API Report File for "@fluentui/react-utilities"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import * as React_2 from 'react';

// @public
export const anchorProperties: Record<string, number>;

// @public
export const audioProperties: Record<string, number>;

// @public
export const baseElementEvents: Record<string, number>;

// @public
export const baseElementProperties: Record<string, number>;

// @public (undocumented)
export interface BaseSlots {
    // (undocumented)
    root: React_2.ElementType;
}

// @public
export const buttonProperties: Record<string, number>;

// @public
export function canUseDOM(): boolean;

// @public (undocumented)
export type ChangeCallback<TElement extends HTMLElement, TValue, TEvent extends React_2.SyntheticEvent<TElement> | undefined> = (ev: TEvent, newValue: TValue | undefined) => void;

// @public
export type ClassDictionary = Record<string, string>;

// @public (undocumented)
export const colGroupProperties: Record<string, number>;

// @public (undocumented)
export const colProperties: Record<string, number>;

// @public (undocumented)
export interface ComponentProps {
    // (undocumented)
    as?: React_2.ElementType;
    // (undocumented)
    children?: React_2.ReactNode;
    // (undocumented)
    className?: string;
}

// @public
export type ComponentState<RefType, Props, ShorthandProps extends keyof Props = never, DefaultedProps extends keyof ResolvedShorthandProps<Props, ShorthandProps> = never> = RequiredProps<ResolvedShorthandProps<Props, ShorthandProps>, DefaultedProps> & {
    as?: React_2.ElementType;
    ref: RefType;
};

// @public (undocumented)
export function createDescendantContext<DescendantType extends Descendant>(name: string, initialValue?: {}): React_2.Context<DescendantContextValue<DescendantType>>;

// @public (undocumented)
export function createNamedContext<ContextValueType>(name: string, defaultValue: ContextValueType): React_2.Context<ContextValueType>;

// Warning: (ae-internal-missing-underscore) The name "defaultSSRContextValue" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const defaultSSRContextValue: SSRContextValue;

// @public (undocumented)
export type Descendant<ElementType = HTMLElement> = {
    element: SomeElement<ElementType> | null;
    index: number;
};

// @public (undocumented)
export interface DescendantContextValue<DescendantType extends Descendant> {
    // (undocumented)
    descendants: DescendantType[];
    // (undocumented)
    registerDescendant(descendant: DescendantType): void;
    // (undocumented)
    unregisterDescendant(element: DescendantType['element']): void;
}

// @public (undocumented)
export const DescendantProvider: <DescendantType extends Descendant<HTMLElement>>({ context: Ctx, children, items, set, }: {
    context: React_2.Context<DescendantContextValue<DescendantType>>;
    children: React_2.ReactNode;
    items: DescendantType[];
    set: React_2.Dispatch<React_2.SetStateAction<DescendantType[]>>;
}) => JSX.Element;

// @public
export const divProperties: Record<string, number>;

// @public
export const formProperties: Record<string, number>;

// @public
export type GenericDictionary = Record<string, any>;

// @public
export function getNativeElementProps<TAttributes extends React_2.HTMLAttributes<any>>(tagName: string, props: {}, excludedPropNames?: string[]): TAttributes;

// @public
export function getNativeProps<T extends Record<string, any>>(props: Record<string, any>, allowedPropNames: string[] | Record<string, number>, excludedPropNames?: string[]): T;

// @public
export const getSlots: (state: GenericDictionary, slotNames?: readonly string[] | undefined) => {
    slots: Record<string, any>;
    slotProps: Record<string, any>;
};

// @public
export const htmlElementProperties: Record<string, number>;

// @public
export const iframeProperties: Record<string, number>;

// @public @deprecated (undocumented)
export const imageProperties: Record<string, number>;

// @public
export const imgProperties: Record<string, number>;

// @public
export const inputProperties: Record<string, number>;

// @public
export const labelProperties: Record<string, number>;

// @public
export const liProperties: Record<string, number>;

// @public
export const makeMergeProps: <TState>(options?: MergePropsOptions<TState>) => (target: TState, ...propSets: (Partial<TState> | undefined)[]) => TState;

// @public @deprecated
export const makeMergePropsCompat: <TState = Record<string, any>>(options?: MergePropsOptions<Record<string, any>> | undefined) => (target: GenericDictionary, ...propSets: (GenericDictionary | undefined)[]) => TState;

// @public (undocumented)
export type MergePropsOptions<TState> = {
    deepMerge?: readonly (keyof TState)[];
};

// @public
export const nullRender: () => null;

// @public (undocumented)
export type ObjectShorthandProps<TProps extends ComponentProps = {}> = TProps & Omit<ComponentProps, 'children'> & {
    children?: TProps['children'] | ShorthandRenderFunction<TProps>;
};

// @public
export const olProperties: Record<string, number>;

// @public
export function omit<TObj extends Record<string, any>>(obj: TObj, exclusions: (keyof TObj)[]): TObj;

// @public (undocumented)
export const optionProperties: Record<string, number>;

// @public
export type RefObjectFunction<T> = React_2.RefObject<T> & ((value: T) => void);

// @public
export type RequiredProps<T, K extends keyof T> = Omit<T, K> & {
    [P in K]-?: T[P];
};

// @public
export function resetIdsForTests(): void;

// @public
export type ResolvedShorthandProps<T, K extends keyof T> = Omit<T, K> & {
    [P in K]: T[P] extends ShorthandProps<infer U> ? ObjectShorthandProps<U> : T[P];
};

// @public
export const resolveShorthandProps: <TProps, TShorthandPropNames extends keyof TProps>(props: TProps, shorthandPropNames: readonly TShorthandPropNames[]) => ResolvedShorthandProps<TProps, TShorthandPropNames>;

// @public
export const selectProperties: Record<string, number>;

// @public (undocumented)
export type ShorthandProps<TProps extends ComponentProps = {}> = React_2.ReactChild | React_2.ReactNodeArray | React_2.ReactPortal | boolean | number | null | undefined | ObjectShorthandProps<TProps>;

// @public (undocumented)
export type ShorthandRenderFunction<TProps> = (Component: React_2.ElementType<TProps>, props: TProps) => React_2.ReactNode;

// @public
export function shouldPreventDefaultOnKeyDown(e: KeyboardEvent | React_2.KeyboardEvent): boolean;

// @public (undocumented)
export type SlotProps<TSlots extends BaseSlots, TProps, TRootProps extends React_2.HTMLAttributes<HTMLElement>> = {
    [key in keyof Omit<TSlots, 'root'>]: key extends keyof TProps ? TProps[key] : any;
} & {
    root: TRootProps;
};

// Warning: (ae-incompatible-release-tags) The symbol "SSRContext" is marked as @public, but its signature references "SSRContextValue" which is marked as @internal
//
// @public (undocumented)
export const SSRContext: React_2.Context<SSRContextValue>;

// Warning: (ae-internal-missing-underscore) The name "SSRContextValue" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export interface SSRContextValue {
    // (undocumented)
    current: number;
}

// @public
export const SSRProvider: React_2.FC;

// @public
export const tableProperties: Record<string, number>;

// @public
export const tdProperties: Record<string, number>;

// @public
export const textAreaProperties: Record<string, number>;

// @public
export const thProperties: Record<string, number>;

// @public
export const trProperties: Record<string, number>;

// @public
export function useBoolean(initialState: boolean): [boolean, UseBooleanCallbacks];

// @public
export interface UseBooleanCallbacks {
    setFalse: () => void;
    setTrue: () => void;
    toggle: () => void;
}

// @public
export function useConst<T>(initialValue: T | (() => T)): T;

// Warning: (ae-forgotten-export) The symbol "DefaultValue" needs to be exported by the entry point index.d.ts
//
// @public
export function useControllableValue<TValue, TElement extends HTMLElement>(controlledValue: TValue, defaultUncontrolledValue: DefaultValue<TValue>): Readonly<[TValue, (update: React_2.SetStateAction<TValue>) => void]>;

// @public (undocumented)
export function useControllableValue<TValue, TElement extends HTMLElement, TEvent extends React_2.SyntheticEvent<TElement> | undefined>(controlledValue: TValue, defaultUncontrolledValue: DefaultValue<TValue>, onChange: ChangeCallback<TElement, TValue, TEvent>): Readonly<[TValue, (update: React_2.SetStateAction<TValue>, ev?: React_2.FormEvent<TElement>) => void]>;

// @public
export function useDescendant<DescendantType extends Descendant>(descendant: Omit<DescendantType, 'index'>, context: React_2.Context<DescendantContextValue<DescendantType>>, indexProp?: number): number;

// @public
export function useDescendantKeyDown<DescendantType extends Descendant, K extends keyof DescendantType = keyof DescendantType>(context: React_2.Context<DescendantContextValue<DescendantType>>, options: {
    currentIndex: number | null | undefined;
    key?: K | 'option';
    filter?: (descendant: DescendantType) => boolean;
    orientation?: 'vertical' | 'horizontal' | 'both';
    rotate?: boolean;
    rtl?: boolean;
    callback(nextOption: DescendantType | DescendantType[K]): void;
}): (event: React_2.KeyboardEvent) => void;

// @public (undocumented)
export function useDescendants<DescendantType extends Descendant>(ctx: React_2.Context<DescendantContextValue<DescendantType>>): DescendantType[];

// @public (undocumented)
export function useDescendantsInit<DescendantType extends Descendant>(): [DescendantType[], React_2.Dispatch<React_2.SetStateAction<DescendantType[]>>];

// @public
export const useEventCallback: <Args extends unknown[], Return>(fn: (...args: Args) => Return) => (...args: Args) => Return;

// @public
export function useFirstMount(): boolean;

// @public
export function useForceUpdate(): () => void;

// @public
export function useId(prefix?: string, providedId?: string): string;

// @public
export const useIsomorphicLayoutEffect: typeof React_2.useEffect;

// @public
export function useIsSSR(): boolean;

// @public
export function useMergedRefs<T>(...refs: (React_2.Ref<T> | undefined)[]): RefObjectFunction<T>;

// @public
export const useOnClickOutside: (options: UseOnClickOutsideOptions) => void;

// @public (undocumented)
export type UseOnClickOutsideOptions = {
    element: Document | undefined;
    refs: React_2.MutableRefObject<HTMLElement | undefined | null>[];
    callback: (ev: MouseEvent | TouchEvent) => void;
    disabled?: boolean;
};

// @public (undocumented)
export const usePrevious: <ValueType = unknown>(value: ValueType) => ValueType | null;

// Warning: (ae-internal-missing-underscore) The name "useSSRContext" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export function useSSRContext(): SSRContextValue;

// @public
export const videoProperties: Record<string, number>;


// Warnings were encountered during analysis:
//
// lib/descendants/descendants.d.ts:64:5 - (ae-forgotten-export) The symbol "SomeElement" needs to be exported by the entry point index.d.ts

// (No @packageDocumentation comment for this package)

```
